/shippo-shipping | Type: Application | PCID required: Yes
Tools
shippo_shipping_add_shipments_to_batch
Add shipments to a batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
BatchId | string | Yes | — | Object ID of the batch |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
body | object[] | Yes | — | Array of shipments to add to the batch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"BatchId": {
"type": "string",
"description": "Object ID of the batch"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"body": {
"type": "array",
"items": {
"type": "object"
},
"description": "Array of shipments to add to the batch"
}
},
"required": [
"PCID",
"BatchId",
"body"
]
}
shippo_shipping_create_address
Create a new address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
city | string | No | — | required for purchase<br> Name of a city. When creating a Quote Address, sending a city is optional but will yield more accurate Rates. Please bear in mind that city names may be ambiguous (there are 34 Springfields in the US). Pass in a state or a ZIP code (see below), if known, it will yield more accurate results. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Required; Max 35 characters | |
company | string | No | — | Company Name Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 35 characters; Either company or name required | |
country | string | Yes | — | ISO 3166-1 alpha-2 country codes and country names can be used. For most consistent results, we recommend using country codes like US or DE. If using country names, please ensure they are spelled correctly and in English. Country names are converted to country codes. Refer to this <a href=“https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements” target=“_blank”>guide</a> for a list of country codes. Sending a country is always required. |
email | string | No | — | E-mail address of the contact person, RFC3696/5321-compliant. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 80 characters | | USPS | Sender email required for shipments during label purchase | |
is_residential | boolean | No | — | Is Residential |
metadata | string | No | — | A string of up to 100 characters that can be filled with any additional information you want to attach to the object. |
name | string | No | — | required for purchase<br> First and Last Name of the addressee Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Either company or name required; No length validation (first 35 chars printed on label) | |
phone | string | No | — | Addresses containing a phone number allow carriers to call the recipient when delivering the Parcel. This increases the probability of delivery and helps to avoid accessorial charges after a Parcel has been shipped. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Required; Min 1, max 15 characters | | USPS | Sender phone required for shipments during label purchase; Min 8, max 15 digits | |
state | string | No | — | required for purchase for some countries<br> State/Province values are required for shipments from/to the US, AU, and CA. UPS requires province for some countries (i.e Ireland). To receive more accurate quotes, passing this field is recommended. Most carriers only accept two or three character state abbreviations. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Required if country requires state; Max 2 characters for US, CA, PR | |
street_no | string | No | — | Street number of the addressed building. This field can be included in street1 for all carriers except for DHL Germany. |
street1 | string | No | — | required for purchase<br> First street line. Usually street number and street name (except for DHL Germany, see street_no). Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line | |
street2 | string | No | — | Second street line. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line | |
street3 | string | No | — | Third street line. Only accepted for USPS international shipments, UPS domestic and UPS international shipments. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line | |
validate | boolean | No | — | Set to true to validate Address object. |
zip | string | No | — | required for purchase<br> Postal code of an Address. When creating a Quote Addresses, sending a ZIP is optional but will yield more accurate Rates. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 10 characters | |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"city": {
"type": "string",
"description": "**required for purchase**<br> Name of a city. When creating a Quote Address, sending a city is optional but will yield more accurate Rates. Please bear in mind that city names may be ambiguous (there are 34 Springfields in the US). Pass in a state or a ZIP code (see below), if known, it will yield more accurate results. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Required; Max 35 characters |"
},
"company": {
"type": "string",
"description": "Company Name **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 35 characters; Either company or name required |"
},
"country": {
"type": "string",
"description": "ISO 3166-1 alpha-2 country codes and country names can be used. For most consistent results, we recommend using country codes like `US` or `DE`. If using country names, please ensure they are spelled correctly and in English. Country names are converted to country codes. Refer to this <a href=\"https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements\" target=\"_blank\">guide</a> for a list of country codes. Sending a country is always required."
},
"email": {
"type": "string",
"description": "E-mail address of the contact person, RFC3696/5321-compliant. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 80 characters | | USPS | Sender email required for shipments during label purchase |"
},
"is_residential": {
"type": "boolean",
"description": "Is Residential"
},
"metadata": {
"type": "string",
"description": "A string of up to 100 characters that can be filled with any additional information you want to attach to the object."
},
"name": {
"type": "string",
"description": "**required for purchase**<br> First and Last Name of the addressee **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Either company or name required; No length validation (first 35 chars printed on label) |"
},
"phone": {
"type": "string",
"description": "Addresses containing a phone number allow carriers to call the recipient when delivering the Parcel. This increases the probability of delivery and helps to avoid accessorial charges after a Parcel has been shipped. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Required; Min 1, max 15 characters | | USPS | Sender phone required for shipments during label purchase; Min 8, max 15 digits |"
},
"state": {
"type": "string",
"description": "**required for purchase for some countries**<br> State/Province values are required for shipments from/to the US, AU, and CA. UPS requires province for some countries (i.e Ireland). To receive more accurate quotes, passing this field is recommended. Most carriers only accept two or three character state abbreviations. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Required if country requires state; Max 2 characters for US, CA, PR |"
},
"street_no": {
"type": "string",
"description": "Street number of the addressed building. This field can be included in street1 for all carriers except for DHL Germany."
},
"street1": {
"type": "string",
"description": "**required for purchase**<br> First street line. Usually street number and street name (except for DHL Germany, see street_no). **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line |"
},
"street2": {
"type": "string",
"description": "Second street line. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line |"
},
"street3": {
"type": "string",
"description": "Third street line. Only accepted for USPS international shipments, UPS domestic and UPS international shipments. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | At least one street line required; Max 35 characters per line |"
},
"validate": {
"type": "boolean",
"description": "Set to true to validate Address object."
},
"zip": {
"type": "string",
"description": "**required for purchase**<br> Postal code of an Address. When creating a Quote Addresses, sending a ZIP is optional but will yield more accurate Rates. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 10 characters |"
}
},
"required": [
"PCID",
"country"
]
}
shippo_shipping_create_batch
Create a batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
batch_shipments | object[] | Yes | — | Array of BatchShipment objects. The response keeps the same order as in the request array. |
default_carrier_account | string | Yes | — | ID of the Carrier Account object to use as the default for all shipments in this Batch. The carrier account can be changed on a per-shipment basis by changing the carrier_account in the corresponding BatchShipment object. |
default_servicelevel_token | string | Yes | — | Token of the service level to use as the default for all shipments in this Batch. The servicelevel can be changed on a per-shipment basis by changing the servicelevel_token in the corresponding BatchShipment object. <a href=“/shippoapi/public-api/service-levels”>Servicelevel tokens can be found here.</a> |
label_filetype | string | No | — | Print format of the <a href=“https://docs.goshippo.com/docs/shipments/shippinglabelsizes/“>label</a>. If empty, will use the default format set from <a href=“https://apps.goshippo.com/settings/labels”>the Shippo dashboard.</a> |
metadata | string | No | — | A string of up to 100 characters that can be filled with any additional information you want to attach to the object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"batch_shipments": {
"type": "array",
"items": {
"type": "object"
},
"description": "Array of BatchShipment objects. The response keeps the same order as in the request array."
},
"default_carrier_account": {
"type": "string",
"description": "ID of the Carrier Account object to use as the default for all shipments in this Batch. The carrier account can be changed on a per-shipment basis by changing the carrier_account in the corresponding BatchShipment object."
},
"default_servicelevel_token": {
"type": "string",
"description": "Token of the service level to use as the default for all shipments in this Batch. The servicelevel can be changed on a per-shipment basis by changing the servicelevel_token in the corresponding BatchShipment object. <a href=\"/shippoapi/public-api/service-levels\">Servicelevel tokens can be found here.</a>"
},
"label_filetype": {
"type": "string",
"description": "Print format of the <a href=\"https://docs.goshippo.com/docs/shipments/shippinglabelsizes/\">label</a>. If empty, will use the default format set from <a href=\"https://apps.goshippo.com/settings/labels\">the Shippo dashboard.</a>",
"enum": [
"PNG",
"PNG_2.3x7.5",
"PDF",
"PDF_2.3x7.5",
"PDF_4x6",
"PDF_4x8",
"PDF_A4",
"PDF_A5",
"PDF_A6",
"ZPLII"
]
},
"metadata": {
"type": "string",
"description": "A string of up to 100 characters that can be filled with any additional information you want to attach to the object."
}
},
"required": [
"PCID",
"batch_shipments",
"default_carrier_account",
"default_servicelevel_token"
]
}
shippo_shipping_create_live_rate
Generate a live rates request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
address_from | object | No | — | The sender address, which includes your name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email. |
address_to | object | Yes | — | The recipient address, which includes the recipient’s name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email. |
line_items | any[] | Yes | — | Array of Line Item objects |
parcel | object | No | — | Object ID for an existing User Parcel Template OR a fully formed Parcel object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"address_from": {
"description": "The sender address, which includes your name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email."
},
"address_to": {
"description": "The recipient address, which includes the recipient's name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email."
},
"line_items": {
"type": "array",
"description": "Array of Line Item objects"
},
"parcel": {
"description": "Object ID for an existing User Parcel Template OR a fully formed Parcel object."
}
},
"required": [
"PCID",
"address_to",
"line_items"
]
}
shippo_shipping_create_manifest
Create a new manifest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
address_from | object | Yes | — | Address From |
async | boolean | No | — | The async value |
carrier_account | string | Yes | — | ID of carrier account |
shipment_date | string | Yes | — | All shipments to be submitted on this day will be closed out. Must be in the format 2014-01-18T00:35:03.463Z (ISO 8601 date). |
transactions | string[] | No | — | IDs transactions to use. If you set this to null or not send this parameter, Shippo will automatically assign all applicable transactions. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"address_from": {
"description": "Address From"
},
"async": {
"type": "boolean",
"description": "The async value"
},
"carrier_account": {
"type": "string",
"description": "ID of carrier account"
},
"shipment_date": {
"type": "string",
"description": "All shipments to be submitted on this day will be closed out. Must be in the format `2014-01-18T00:35:03.463Z` (ISO 8601 date)."
},
"transactions": {
"type": "array",
"items": {
"type": "string"
},
"description": "IDs transactions to use. If you set this to null or not send this parameter, Shippo will automatically assign all applicable transactions."
}
},
"required": [
"PCID",
"address_from",
"carrier_account",
"shipment_date"
]
}
shippo_shipping_create_order
Create a new order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
currency | string | No | — | Required if total_price is provided<br> Currency of the <code>total_price</code> and <code>total_tax</code> amounts. |
from_address | object | No | — | <a href=“/shippoapi/public-api/addresses”>Address</a> object of the sender / seller. Will be returned expanded by default.. |
line_items | any[] | No | — | Array of <a href=“/shippoapi/public-api/orders/lineitem”>line item</a> objects representing the items in this order. All objects will be returned expanded by default. |
notes | string | No | — | Custom buyer- or seller-provided notes about the order. |
order_number | string | No | — | An alphanumeric identifier for the order used by the seller/buyer. This identifier doesn’t need to be unique. |
order_status | string | No | — | Current state of the order. See the <a href=“https://docs.goshippo.com/docs/orders/orders/“>orders tutorial</a> for the logic of how the status is handled. |
placed_at | string | Yes | — | Date and time when the order was placed. This datetime can be different from the datetime of the order object creation on Shippo. |
shipping_cost | string | No | — | Amount paid by the buyer for shipping. This amount can be different from the price the seller will actually pay for shipping. |
shipping_cost_currency | string | No | — | Required if shipping_cost is provided<br> Currency of the <code>shipping_cost</code> amount. |
shipping_method | string | No | — | Shipping method (carrier + service or other free text description) chosen by the buyer. This value can be different from the shipping method the seller will actually choose. |
subtotal_price | string | No | — | Subtotal Price |
to_address | object | Yes | — | <a href=“/shippoapi/public-api/addresses”>Address</a> object of the recipient / buyer. Will be returned expanded by default. |
total_price | string | No | — | Total amount paid by the buyer for this order. |
total_tax | string | No | — | Total tax amount paid by the buyer for this order. |
weight | string | No | — | Total weight of the order. |
weight_unit | string | No | — | The unit used for weight. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"currency": {
"type": "string",
"description": "**Required if total_price is provided**<br> Currency of the <code>total_price</code> and <code>total_tax</code> amounts."
},
"from_address": {
"description": "<a href=\"/shippoapi/public-api/addresses\">Address</a> object of the sender / seller. Will be returned expanded by default.."
},
"line_items": {
"type": "array",
"description": "Array of <a href=\"/shippoapi/public-api/orders/lineitem\">line item</a> objects representing the items in this order. All objects will be returned expanded by default."
},
"notes": {
"type": "string",
"description": "Custom buyer- or seller-provided notes about the order."
},
"order_number": {
"type": "string",
"description": "An alphanumeric identifier for the order used by the seller/buyer. This identifier doesn't need to be unique."
},
"order_status": {
"type": "string",
"description": "Current state of the order. See the <a href=\"https://docs.goshippo.com/docs/orders/orders/\">orders tutorial</a> for the logic of how the status is handled.",
"enum": [
"UNKNOWN",
"AWAITPAY",
"PAID",
"REFUNDED",
"CANCELLED",
"PARTIALLY_FULFILLED",
"SHIPPED"
]
},
"placed_at": {
"type": "string",
"description": "Date and time when the order was placed. This datetime can be different from the datetime of the order object creation on Shippo."
},
"shipping_cost": {
"type": "string",
"description": "Amount paid by the buyer for shipping. This amount can be different from the price the seller will actually pay for shipping."
},
"shipping_cost_currency": {
"type": "string",
"description": "**Required if shipping_cost is provided**<br> Currency of the <code>shipping_cost</code> amount."
},
"shipping_method": {
"type": "string",
"description": "Shipping method (carrier + service or other free text description) chosen by the buyer. This value can be different from the shipping method the seller will actually choose."
},
"subtotal_price": {
"type": "string",
"description": "Subtotal Price"
},
"to_address": {
"description": "<a href=\"/shippoapi/public-api/addresses\">Address</a> object of the recipient / buyer. Will be returned expanded by default."
},
"total_price": {
"type": "string",
"description": "Total amount paid by the buyer for this order."
},
"total_tax": {
"type": "string",
"description": "Total tax amount paid by the buyer for this order."
},
"weight": {
"type": "string",
"description": "Total weight of the order."
},
"weight_unit": {
"type": "string",
"description": "The unit used for weight.",
"enum": [
"g",
"kg",
"lb",
"oz"
]
}
},
"required": [
"PCID",
"placed_at",
"to_address"
]
}
shippo_shipping_create_parcel
Create a new parcel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
body | object | Yes | — | Parcel details. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"body": {
"description": "Parcel details."
}
},
"required": [
"PCID",
"body"
]
}
shippo_shipping_create_pickup
Create a pickup Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
carrier_account | string | Yes | — | The object ID of your USPS or DHL Express carrier account. You can retrieve this from your Rate requests or our <a href=“/shippoapi/public-api/carrier-accounts”>Carrier Accounts</a> endpoint. |
location | object | Yes | — | Location where the parcel(s) will be picked up. |
metadata | string | No | — | A string of up to 100 characters that can be filled with any additional information you want to attach to the object. |
requested_end_time | string | Yes | — | The latest that you requested your parcels to be available for pickup. Expressed in the timezone specified in the response. |
requested_start_time | string | Yes | — | The earliest that you requested your parcels to be ready for pickup. Expressed in the timezone specified in the response. |
transactions | string[] | Yes | — | The transaction(s) object ID(s) for the parcel(s) that need to be picked up. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"carrier_account": {
"type": "string",
"description": "The object ID of your USPS or DHL Express carrier account. You can retrieve this from your Rate requests or our <a href=\"/shippoapi/public-api/carrier-accounts\">Carrier Accounts</a> endpoint."
},
"location": {
"type": "object",
"description": "Location where the parcel(s) will be picked up.",
"properties": {
"address": {
"description": "The pickup address, which includes your name, company name, street address, city, state, zip code, country, phone number, and email address (strings). Special characters should not be included in any address element, especially name, company, and email."
},
"building_location_type": {
"type": "string",
"description": "Where your parcels will be available for pickup. \"Security Deck\" and \"Shipping Dock\" are only supported for DHL Express.",
"enum": [
"Back Door",
"Ring Bell",
"Security Deck",
"Shipping Dock",
"Front Door",
"Knock on Door",
"In/At Mailbox",
"Mail Room",
"Office",
"Other",
"Reception",
"Side Door"
]
},
"building_type": {
"type": "string",
"description": "The type of building where the pickup is located.",
"enum": [
"apartment",
"building",
"department",
"floor",
"room",
"suite"
]
},
"instructions": {
"type": "string",
"description": "Pickup instructions for the courier. This is a mandatory field if the building_location_type is \"Other\"."
}
},
"required": [
"building_location_type",
"address"
]
},
"metadata": {
"type": "string",
"description": "A string of up to 100 characters that can be filled with any additional information you want to attach to the object."
},
"requested_end_time": {
"type": "string",
"description": "The latest that you requested your parcels to be available for pickup. Expressed in the timezone specified in the response."
},
"requested_start_time": {
"type": "string",
"description": "The earliest that you requested your parcels to be ready for pickup. Expressed in the timezone specified in the response."
},
"transactions": {
"type": "array",
"items": {
"type": "string"
},
"description": "The transaction(s) object ID(s) for the parcel(s) that need to be picked up."
}
},
"required": [
"PCID",
"carrier_account",
"location",
"requested_end_time",
"requested_start_time",
"transactions"
]
}
shippo_shipping_create_refund
Create a refund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
async | boolean | No | — | The async value |
transaction | string | Yes | — | The transaction value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"async": {
"type": "boolean",
"description": "The async value"
},
"transaction": {
"type": "string",
"description": "The transaction value"
}
},
"required": [
"PCID",
"transaction"
]
}
shippo_shipping_create_shipment
Create a new shipment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
address_from | object | Yes | — | Address From |
address_return | object | No | — | Address Return |
address_to | object | Yes | — | Address To |
async | boolean | No | — | The async value |
carrier_accounts | string[] | No | — | List of <a href=“/shippoapi/public-api/carrier-accounts”>Carrier Accounts</a> object_ids used to filter the returned rates. If set, only rates from these carriers will be returned. |
customs_declaration | object | No | — | Customs Declaration |
extra | object | No | — | An object holding optional extra services to be requested. |
metadata | string | No | — | A string of up to 100 characters that can be filled with any additional information you want to attach to the object. |
parcels | any[] | Yes | — | List of parcels to be shipped. Carrier-Specific Constraints: | Carrier | Constraints | |:---|:---| | FedEx | Max 30 items | |
shipment_date | string | No | — | Date the shipment will be tendered to the carrier. Must be in the format 2014-01-18T00:35:03.463Z. Defaults to current date and time if no value is provided. Please note that some carriers require this value to be in the future, on a working day, or similar. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"address_from": {
"description": "Address From"
},
"address_return": {
"description": "Address Return"
},
"address_to": {
"description": "Address To"
},
"async": {
"type": "boolean",
"description": "The async value"
},
"carrier_accounts": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of <a href=\"/shippoapi/public-api/carrier-accounts\">Carrier Accounts</a> `object_id`s used to filter the returned rates. If set, only rates from these carriers will be returned."
},
"customs_declaration": {
"description": "Customs Declaration"
},
"extra": {
"type": "object",
"description": "An object holding optional extra services to be requested.",
"properties": {
"accounts_receivable_customer_account": {
"description": "Accounts Receivable Customer Account"
},
"alcohol": {
"type": "object",
"description": "Indicates that a shipment contains Alcohol (Fedex and UPS only)."
},
"ancillary_endorsement": {
"description": "Specify an ancillary service endorsement to provide the USPS with instructions on how to handle undeliverable-as-addressed pieces (DHL eCommerce only).",
"enum": [
"FORWARDING_SERVICE_REQUESTED",
"RETURN_SERVICE_REQUESTED"
]
},
"appropriation_number": {
"description": "Appropriation Number"
},
"authority_to_leave": {
"type": "boolean",
"description": "Request `true` to give carrier permission to leave the parcel in a safe place if no one answers the door (where supported). When set to `false`, if no one is available to receive the item, the parcel will not be left (*surcharges may be applicable)."
},
"bill_of_lading_number": {
"description": "Bill Of Lading Number"
},
"billing": {
"type": "object",
"description": "Specify billing details (UPS, FedEx, and DHL Germany only)."
},
"bypass_address_validation": {
"type": "boolean",
"description": "Bypasses address validation (USPS, UPS, & LaserShip only)."
},
"carbon_neutral": {
"type": "boolean",
"description": "Request carbon offsets by passing true (UPS only)."
},
"carrier_hub_id": {
"type": "string",
"description": "Identifies the carrier injection site."
},
"carrier_hub_travel_time": {
"type": "integer",
"description": "Travel time in hours from fulfillment center to carrier injection site."
},
"COD": {
"type": "object",
"description": "Specify collection on delivery details (UPS only)."
},
"cod_number": {
"description": "Cod Number"
},
"container_type": {
"type": "string",
"description": "Specify container type."
},
"critical_pull_time": {
"type": "string",
"description": "Carrier arrival time to pickup packages from the fulfillment center. UTC format: `%Y-%m-%dT%H:%M:%SZ`"
},
"customer_branch": {
"type": "string",
"description": "Specify customer branch (Lasership only)."
},
"customer_reference": {
"type": "object",
"description": "Specify the reference field on the label (FedEx and UPS only)."
},
"dangerous_goods": {
"type": "object",
"description": "Container for specifying the presence of dangerous materials. This is specific to USPS, and if any contents are provided, only certain USPS service levels will be eligible. For more information, see our <a href=\"https://docs.goshippo.com/docs/shipments/hazmat/\">guide on hazardous or dangerous materials shipping</a>."
},
"dangerous_goods_code": {
"description": "Dangerous Goods Code (DHL eCommerce only). See <a href=\"https://api-legacy.dhlecs.com/docs/v2/appendix.html#dangerous-goods\">Category Codes</a>",
"enum": [
"01",
"02",
"03",
"04",
"05",
"06",
"07",
8,
9
]
},
"dealer_order_number": {
"description": "Dealer Order Number"
},
"delivery_instructions": {
"type": "string",
"description": "Specify delivery instructions. Up to 500 characters. (FedEx and OnTrac only)."
},
"dept_number": {
"type": "object",
"description": "Specify the department number field on the label (FedEx and UPS only)."
},
"dry_ice": {
"type": "object",
"description": "Specify that the package contains Dry Ice (FedEx, Veho, and UPS only)."
},
"fda_product_code": {
"description": "Fda Product Code"
},
"fulfillment_center": {
"type": "string",
"description": "The fulfilment center where the package originates from."
},
"insurance": {
"type": "object",
"description": "To add 3rd party insurance powered by <a href=\"https://docs.goshippo.com/docs/shipments/shippinginsurance/\">XCover</a>, specify <br> `amount`, `content`, and `currency`. <br> Alternatively, you can choose carrier provided insurance by additionally specifying `provider` (UPS, FedEx and OnTrac only). <br><br> If you do not want to add insurance to your shipment, do not set these parameters."
},
"invoice_number": {
"type": "object",
"description": "Specify the invoice number field on the label (FedEx and UPS only)."
},
"is_return": {
"type": "boolean",
"description": "This field specifies if it is a scan-based return shipment. See the <a href=\"https://docs.goshippo.com/docs/shipments/returns/\">Create a return shipment</a> section for more details."
},
"lasership_attrs": {
"type": "array",
"items": {
"type": "string",
"enum": [
"TwoPersonDelivery",
"Explosive",
"Alcohol",
"Hazmat",
"ControlledSubstance",
"Refrigerated",
"DryIce",
"Perishable",
"NoRTS"
]
},
"description": "Specify Lasership Attributes (Lasership only). Multiple options accepted."
},
"lasership_declared_value": {
"type": "string",
"description": "Declared value (Lasership only). Defaults to `50.00`."
},
"manifest_number": {
"description": "Manifest Number"
},
"model_number": {
"description": "Model Number"
},
"part_number": {
"description": "Part Number"
},
"po_number": {
"type": "object",
"description": "Specify the PO number field on the label (FedEx and UPS only)."
},
"preferred_delivery_timeframe": {
"description": "Required for DHL Germany Paket Sameday. Designates a desired timeframe for delivery. Format is `HHMMHHMM`",
"enum": [
"10001200",
"12001400",
"14001600",
"16001800",
"18002000",
"19002100"
]
},
"premium": {
"type": "boolean",
"description": "Add premium service to a shipment (DHL Germany international shipments only)."
},
"production_code": {
"description": "Production Code"
},
"purchase_request_number": {
"description": "Purchase Request Number"
},
"qr_code_requested": {
"type": "boolean",
"description": "Request a QR code for a given transaction when creating a shipping label (USPS domestic and Evri UK only)."
},
"reference_1": {
"type": "string",
"description": "Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 40 characters (Express services); Max 30 characters (Ground services) |"
},
"reference_2": {
"type": "string",
"description": "Optional text to be printed on the shipping label if supported by carrier. Up to 50 characters. For DHL eCommerce, this field can be used for billing reference. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 30 characters |"
},
"request_retail_rates": {
"type": "boolean",
"description": "Returns retail rates instead of account-based rates (UPS and FedEx only)."
},
"return_service_type": {
"type": "string",
"description": "Request additional return option for return shipments (UPS and Lasership only)."
},
"rma_number": {
"type": "object",
"description": "Specify the RMA number field on the label (FedEx and UPS only)."
},
"saturday_delivery": {
"type": "boolean",
"description": "Marks shipment as to be delivered on a Saturday."
},
"salesperson_number": {
"description": "Salesperson Number"
},
"serial_number": {
"description": "Serial Number"
},
"signature_confirmation": {
"description": "Request standard or adult signature confirmation. You can alternatively request Certified Mail (USPS only) or Indirect signature (FedEx only) or Carrier Confirmation (Deutsche Post only).",
"enum": [
"STANDARD",
"ADULT",
"CERTIFIED",
"INDIRECT",
"CARRIER_CONFIRMATION"
]
},
"store_number": {
"description": "Store Number"
},
"transaction_reference_number": {
"description": "Transaction Reference Number"
},
"usmca_eligible": {
"type": "boolean",
"description": "UPS only. Request USMCA (United States-Mexico-Canada Agreement) preferential tariff treatment. When enabled, it includes the USMCA eligibility declaration in customs documentation. Supported routes and value limits: - USA/Canada → Mexico: ≤ $1,000 USD - Canada/Mexico → USA: ≤ $2,500 USD - USA/Mexico → Canada: ≤ $3,300 CAD Only for declaration-only shipments, full USMCA - FormType 04 (Certificate of Origin) is not supported."
}
}
},
"metadata": {
"type": "string",
"description": "A string of up to 100 characters that can be filled with any additional information you want to attach to the object."
},
"parcels": {
"type": "array",
"description": "List of parcels to be shipped. **Carrier-Specific Constraints:** | Carrier | Constraints | |:---|:---| | FedEx | Max 30 items |"
},
"shipment_date": {
"type": "string",
"description": "Date the shipment will be tendered to the carrier. Must be in the format `2014-01-18T00:35:03.463Z`. Defaults to current date and time if no value is provided. Please note that some carriers require this value to be in the future, on a working day, or similar."
}
},
"required": [
"PCID",
"address_from",
"address_to",
"parcels"
]
}
shippo_shipping_create_transaction
Create a shipping label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
body | object | Yes | — | Examples. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"body": {
"description": "Examples."
}
},
"required": [
"PCID",
"body"
]
}
shippo_shipping_delete_default_parcel_template
Clear current default parcel template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_get_address
Retrieve an address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressId | string | Yes | — | Object ID of the address |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AddressId": {
"type": "string",
"description": "Object ID of the address"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"AddressId"
]
}
shippo_shipping_get_batch
Retrieve a batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
BatchId | string | Yes | — | Object ID of the batch |
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100, default 5) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"BatchId": {
"type": "string",
"description": "Object ID of the batch"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100, default 5)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"BatchId"
]
}
shippo_shipping_get_default_parcel_template
Show current default parcel template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_get_manifest
Retrieve a manifest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ManifestId | string | Yes | — | Object ID of the manifest to update |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ManifestId": {
"type": "string",
"description": "Object ID of the manifest to update"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"ManifestId"
]
}
shippo_shipping_get_order
Retrieve an order Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
OrderId | string | Yes | — | Object ID of the order |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"OrderId": {
"type": "string",
"description": "Object ID of the order"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"OrderId"
]
}
shippo_shipping_get_parcel
Retrieve an existing parcel Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ParcelId | string | Yes | — | Object ID of the parcel |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ParcelId": {
"type": "string",
"description": "Object ID of the parcel"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"ParcelId"
]
}
shippo_shipping_get_rate
Retrieve a rate Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
RateId | string | Yes | — | Object ID of the rate |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"RateId": {
"type": "string",
"description": "Object ID of the rate"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"RateId"
]
}
shippo_shipping_get_refund
Retrieve a refund Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
RefundId | string | Yes | — | Object ID of the refund to update |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"RefundId": {
"type": "string",
"description": "Object ID of the refund to update"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"RefundId"
]
}
shippo_shipping_get_shipment
Retrieve a shipment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ShipmentId | string | Yes | — | Object ID of the shipment to update |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ShipmentId": {
"type": "string",
"description": "Object ID of the shipment to update"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"ShipmentId"
]
}
shippo_shipping_get_transaction
Retrieve a shipping label Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
TransactionId | string | Yes | — | Object ID of the transaction to update |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"TransactionId": {
"type": "string",
"description": "Object ID of the transaction to update"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"TransactionId"
]
}
shippo_shipping_list_addresses
List all addresses Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100, default 5) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100, default 5)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_manifests
List all manifests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100, default 5) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100, default 5)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_orders
List all orders Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
order_status[] | string[] | No | — | Filter orders by order status |
shop_app | string | No | — | Filter orders by shop app |
start_date | string | No | — | Filter orders created after the input date and time (ISO 8601 UTC format). This is based on the placed_at field, meaning when the order has been placed, not when the order object was created. |
end_date | string | No | — | Filter orders created before the input date and time (ISO 8601 UTC format). This is based on the placed_at field, meaning when the order has been placed, not when the order object was created. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"order_status[]": {
"type": "array",
"items": {
"type": "string",
"enum": [
"UNKNOWN",
"AWAITPAY",
"PAID",
"REFUNDED",
"CANCELLED",
"PARTIALLY_FULFILLED",
"SHIPPED"
]
},
"description": "Filter orders by order status"
},
"shop_app": {
"type": "string",
"description": "Filter orders by shop app",
"enum": [
"Amazon",
"Bigcommerce",
"CSV_Import",
"eBay",
"ePages",
"Etsy",
"Godaddy",
"Magento",
"Shippo",
"Shopify",
"Spreecommerce",
"StripeRelay",
"Walmart",
"Weebly",
"WooCommerce"
]
},
"start_date": {
"type": "string",
"description": "Filter orders created after the input date and time (ISO 8601 UTC format). This is based on the `placed_at` field, meaning when the order has been placed, not when the order object was created."
},
"end_date": {
"type": "string",
"description": "Filter orders created before the input date and time (ISO 8601 UTC format). This is based on the `placed_at` field, meaning when the order has been placed, not when the order object was created."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_parcels
List all parcels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_refunds
List all refunds Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_shipment_rates
Retrieve shipment rates Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ShipmentId | string | Yes | — | Object ID of the shipment to update |
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ShipmentId": {
"type": "string",
"description": "Object ID of the shipment to update"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"ShipmentId"
]
}
shippo_shipping_list_shipment_rates_by_currency_code
Retrieve shipment rates in currency Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ShipmentId | string | Yes | — | Object ID of the shipment to update |
CurrencyCode | string | Yes | — | ISO currency code for the rates |
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ShipmentId": {
"type": "string",
"description": "Object ID of the shipment to update"
},
"CurrencyCode": {
"type": "string",
"description": "ISO currency code for the rates"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"ShipmentId",
"CurrencyCode"
]
}
shippo_shipping_list_shipments
List all shipments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page_token | string | No | — | The page token for paginated results |
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
object_created_gt | string | No | — | Object(s) created greater than a provided date and time. |
object_created_gte | string | No | — | Object(s) created greater than or equal to a provided date and time. |
object_created_lt | string | No | — | Object(s) created lesser than a provided date and time. |
object_created_lte | string | No | — | Object(s) created lesser than or equal to a provided date and time. |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page_token": {
"type": "string",
"description": "The page token for paginated results"
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"object_created_gt": {
"type": "string",
"description": "Object(s) created greater than a provided date and time."
},
"object_created_gte": {
"type": "string",
"description": "Object(s) created greater than or equal to a provided date and time."
},
"object_created_lt": {
"type": "string",
"description": "Object(s) created lesser than a provided date and time."
},
"object_created_lte": {
"type": "string",
"description": "Object(s) created lesser than or equal to a provided date and time."
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_list_transactions
List all shipping labels Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
rate | string | No | — | Filter by rate ID |
object_status | string | No | — | Filter by object status |
tracking_status | string | No | — | Filter by tracking status |
page | integer | No | — | The page number you want to select |
results | integer | No | — | The number of results to return per page (max 100) |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"rate": {
"type": "string",
"description": "Filter by rate ID"
},
"object_status": {
"type": "string",
"description": "Filter by object status",
"enum": [
"WAITING",
"QUEUED",
"SUCCESS",
"ERROR",
"REFUNDED",
"REFUNDPENDING",
"REFUNDREJECTED"
]
},
"tracking_status": {
"type": "string",
"description": "Filter by tracking status",
"enum": [
"UNKNOWN",
"PRE_TRANSIT",
"TRANSIT",
"DELIVERED",
"RETURNED",
"FAILURE"
]
},
"page": {
"type": "integer",
"description": "The page number you want to select"
},
"results": {
"type": "integer",
"description": "The number of results to return per page (max 100)"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID"
]
}
shippo_shipping_purchase_batch
Purchase a batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
BatchId | string | Yes | — | Object ID of the batch |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"BatchId": {
"type": "string",
"description": "Object ID of the batch"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"BatchId"
]
}
shippo_shipping_remove_shipments_from_batch
Remove shipments from a batch Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
BatchId | string | Yes | — | Object ID of the batch |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
body | string[] | Yes | — | Array of shipments object ids to remove from the batch |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"BatchId": {
"type": "string",
"description": "Object ID of the batch"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"body": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of shipments object ids to remove from the batch"
}
},
"required": [
"PCID",
"BatchId",
"body"
]
}
shippo_shipping_update_default_parcel_template
Update default parcel template Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
object_id | string | No | — | Object Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
},
"object_id": {
"type": "string",
"description": "Object Id"
}
},
"required": [
"PCID"
]
}
shippo_shipping_validate_address
Validate an address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
AddressId | string | Yes | — | Object ID of the address |
SHIPPO-API-VERSION | string | No | — | Optional string used to pick a non-default API version to use. See our <a href=“https://docs.goshippo.com/docs/api_concepts/apiversioning/“>API version</a> guide. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"AddressId": {
"type": "string",
"description": "Object ID of the address"
},
"SHIPPO-API-VERSION": {
"type": "string",
"description": "Optional string used to pick a non-default API version to use. See our <a href=\"https://docs.goshippo.com/docs/api_concepts/apiversioning/\">API version</a> guide."
}
},
"required": [
"PCID",
"AddressId"
]
}

